from ekobox.evol_pdf import evolve_pdfs
import lhapdf
import eko
from pathlib import Path

nf = 5

cwd = Path.cwd()
ekoname = f"eko_nf{nf}.tar"

with eko.EKO.read(ekoname) as f:
    theorycard=f.theory_card
    operatorcard=f.operator_card

pdf = lhapdf.mkPDF("NNPDF40_nnlo_as_01180",0)
evolve_pdfs([pdf], theorycard, operatorcard, path = cwd / ekoname ,install=True, name=f"NNPDF40_nnlo_as_01180_nfonll_nf{nf}")
